
QGIS Application - Feature request #1787

Line and polygon rotation

2009-07-17 03:34 AM - mort -

Status: Closed

Priority: Low

Assignee:

Category: Vectors

Pull Request or Patch supplied:No Resolution: fixed

Easy fix?: No Copied to github as #: 11847

Description

QGIS needs an option to rotate both polygon and line objects. It should allow free rotation with mouse, where the default anchor point is

the centroid and a plugin perhaps, where one can specify the amount of degree of rotation and the anchor point (by clicking on the map).

History

#1 - 2010-04-26 03:23 AM - Stefano Costa -

I would add also scaling.

Such tools are commonly used in CAD programs and allow for a much smoother digitising experience. [[AutoCAD]] for example has also the option to

define the scaling or rotation origin point.

#2 - 2011-12-16 01:57 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#3 - 2012-02-04 07:42 AM - Gerhard Spieles

- Pull Request or Patch supplied set to No

- Assignee deleted (nobody -)

The Plugin "Rectangles, ovals digitizing tools"  allows to rotate a choosen polygon around centroid by mouse.

The rotation around a free choosen point is a part of the "CAD Tools" plugin. This is a little bit tricky, because the rotated object appears in a memory layer.

Perhaps, the plugins could be the entry point to realize the wishes as core functions.

#4 - 2012-04-15 10:11 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#5 - 2012-10-06 02:23 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#6 - 2013-01-16 01:39 AM - vinayan Parameswaran

Rotate Tool is created now in the Advanced Editing toolbar(Current Dev version 1.9)

#7 - 2013-03-16 12:51 PM - Giovanni Manghi

- Resolution set to fixed

- Status changed from Open to Closed
